// mfcdxView.h : interface of the CMfcdxView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_MFCDXVIEW_H__BCC74352_8202_4595_9B2D_189BEA11E04D__INCLUDED_)
#define AFX_MFCDXVIEW_H__BCC74352_8202_4595_9B2D_189BEA11E04D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CMfcdxView : public CView
{
	CDXSurfaceManager_NBP dxMgr_;

protected: // create from serialization only
	CMfcdxView();
	DECLARE_DYNCREATE(CMfcdxView)

// Attributes
public:
	CMfcdxDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMfcdxView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMfcdxView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

	void filllines(HDC& hdc, const CRect& client, int clr = -1)
	{
		static int gap = 80;

		CDC* cdc = CDC::FromHandle(hdc);
		CPen p(PS_DASHDOTDOT, 1, clr);
		CPen* op = cdc->SelectObject(&p);
	
		for (int i = gap ; i <= client.Height(); i = i+gap)
		{
			cdc->MoveTo(0, i);
			cdc->LineTo(client.Width(), i);
		}

		for (i = 80 ; i <= client.Width(); i = i+80)
		{
			cdc->MoveTo(i, 0);
			cdc->LineTo(i, client.Height());
		}
		cdc->SelectObject(op);
	}



// Generated message map functions
protected:
	//{{AFX_MSG(CMfcdxView)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in mfcdxView.cpp
inline CMfcdxDoc* CMfcdxView::GetDocument()
   { return (CMfcdxDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MFCDXVIEW_H__BCC74352_8202_4595_9B2D_189BEA11E04D__INCLUDED_)
